Bug 1734157 - fedora coreos: Extra space in the bootstrap kubelet service is creating an issue while starting the kubelet service
Summary: fedora coreos: Extra space in the bootstrap kubelet service is creating an is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Abhinav Dahiya
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 19:28 UTC by Abhinav Dahiya
Modified: 2019-09-10 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 16:35:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2078 None None None 2019-07-29 19:28:35 UTC

Description Abhinav Dahiya 2019-07-29 19:28:04 UTC
# Platform:
libvirt

# What happened?

While deploying an openshift cluster with fedora coreos have seen following issue while starting the kubelet with the following error:
```
● kubelet2.service - Kubernetes Kubelet
   Loaded: loaded (/etc/systemd/system/kubelet2.service; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Wed 2019-07-24 14:36:56 UTC; 5s ago
  Process: 112930 ExecStartPre=/bin/mkdir --parents /etc/kubernetes/manifests (code=exited, status=0/SUCCESS)
  Process: 112931 ExecStartPre=/bin/mkdir --parents /etc/kubernetes/kubelet-plugins/volume/exec (code=exited, status=0/SUCCESS)
  Process: 112932 ExecStart=/usr/bin/hyperkube kubelet --container-runtime=remote --container-runtime-endpoint=/var/run/crio/crio.sock --runtime-req>
 Main PID: 112932 (code=exited, status=255/EXCEPTION)
      CPU: 239ms

Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --tls-cert-file string                                                          >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --tls-cipher-suites strings                                                     >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --tls-min-version string                                                        >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --tls-private-key-file string                                                   >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:   -v, --v Level                                                                       >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --version version[=true]                                                        >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --vmodule moduleSpec                                                            >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --volume-plugin-dir string                                                      >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]:       --volume-stats-agg-period duration                                              >
Jul 24 14:36:56 ocp-ppc64le-h5dqk-master-0 hyperkube[112932]: F0724 14:36:55.990005  112932 server.go:160] unknown command: Restart=always
bash-5.0#
```

service file:

```
[Unit]
Description=Kubernetes Kubelet
Wants=rpc-statd.service
[Service]
Type=notify
ExecStartPre=/bin/mkdir --parents /etc/kubernetes/manifests
ExecStartPre=/bin/mkdir --parents /etc/kubernetes/kubelet-plugins/volume/exec
Environment=KUBELET_RUNTIME_REQUEST_TIMEOUT=10m
EnvironmentFile=-/etc/kubernetes/kubelet-env
ExecStart=/usr/bin/hyperkube \
  kubelet \
    --container-runtime=remote \
    --container-runtime-endpoint=/var/run/crio/crio.sock \
    --runtime-request-timeout=${KUBELET_RUNTIME_REQUEST_TIMEOUT} \
    --pod-manifest-path=/etc/kubernetes/manifests \
    --allow-privileged \
    --minimum-container-ttl-duration=6m0s \
    --cluster-domain=cluster.local \
    --cgroup-driver=systemd \
    --serialize-image-pulls=false \
    --v=2 \
    --volume-plugin-dir=/etc/kubernetes/kubelet-plugins/volume/exec \

Restart=always
RestartSec=10
```

From the error message its very evident that \ after ` --volume-plugin-dir` option appending `Restart=always` as an option and trying to run and failed.

# What you expected to happen?

Service should start without any issue.


Note You need to log in before you can comment on or make changes to this bug.